#include "textf_base.h"

class textf_c : public textf_base_c
{
public:
	void create( Widget parent, char *widget_name ) ;
	static void popup_menu( Widget w, XtPointer client_data, XEvent *event,
				Boolean *continue_to_dispatch );
private:
	textf_popup_p thePopup;
	void popup_menu( XButtonPressedEvent *event ) ;
};

typedef textf_c *textf_p ;
